-- Test new_quote_amount
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(5);

set search_path to numerus, public;

select has_composite('numerus', 'new_quote_amount', 'Composite type numerus.new_quote_amount should exist');
select columns_are('numerus', 'new_quote_amount', array['subtotal', 'taxes', 'total']);
select col_type_is('numerus'::name, 'new_quote_amount'::name, 'subtotal'::name, 'text');
select col_type_is('numerus'::name, 'new_quote_amount'::name, 'taxes'::name, 'text[]');
select col_type_is('numerus'::name, 'new_quote_amount'::name, 'total'::name, 'text');

select *
from finish();

rollback;
